package sample21;

public class EnumJapaneseMonthList {
  enum Month {
    JANUARY("睦月"),
    FEBRUARY("如月"),
    MARCH("弥生"),
    APRIL("卯月"),
    MAY("皐月"),
    JUNE("水無月"),
    JULY("文月"),
    AUGUST("葉月"),
    SEPTEMBER("長月"),
    OCTOBER("神無月"),
    NOVEMBER("霜月"),
    DECEMBER("師走");

    private String name;
    Month(String name) { this.name = name; }
    public String getName() { return name; }
  }
  public void exec() {
    for (Month m : Month.values()) {
      System.out.println(m + ":" + m.getName());
    }
  }
  public static void main(String[] args) {
    EnumJapaneseMonthList app =
      new EnumJapaneseMonthList();
    app.exec();
  }
}
